#!/bin/sh

# keep_kernel.sh


next_kernel_num=$1
boot_switch=$2
next_boot_switch=$3


img=/data/update/last_kernel${boot_switch}

old_img=/data/update/last_kernel${next_boot_switch}

echo "Vergleiche $img und $old_img ..."
if diff $img $old_img
then
	echo "Der zuletzt (d.h. vor 2 Updates) geflashte Kernel stimmt mit dem Kernel ueberein, der nun geflasht wuerde, also ueberspringe Flashen des Kernels!"
else
	echo "$img und $old_img unterscheiden sich."
	if ! [ -f "$img" ]
	then
		echo "ERROR: Letztes kernel image nicht gefunden fuer boot_switch ${boot_switch}"
		exit 1
	fi

	./write_kernel.sh $img $next_kernel_num $next_boot_switch

fi

